# -*- coding: utf8 -*-

<%inherit file="/main.mako" />

<%def name="indicator(ititle, key)">
<tr>
    <td>${ititle}</td>
    <td>${out[key]['gender'][0]}</td>
    <td>${out[key]['gender'][1]}</td>
    <td>${out[key]['gender']['total']}</td>
</tr>
</%def>

<%def name="ri_indicator(ititle, key)">
<tr>
    <td>${ititle}</td>
    <td>${out[key]['gender'][0]}</td>
    <td>${out[key]['gender'][1]}</td>
    <td>${out[key]['gender']['total']}</td>
    <td>${out[key]['gender']['totalpercent']}</td>
</tr>
</%def>

<style>
#reportresult table td:not(:first-child) {
  text-align: right;
}
#reportresult table th:not(:first-child) {
  text-align: right;
}
</style>
<div class="page-header">
% if s.has_role(request.user, "organisation"):
  <h1>Sachbericht Ihrer Teilnehmenden</h1>
% else:
  <h1>Sachbericht der Teilnehmenden aller Träger</h1>
% endif
</div>

<div class="container">
    <div class="row">
      <div class="col-12">
        ${search}
      </div>
    </div>
</div>
% if out:
<div id="reportresult">
  <h2>Ergebnis für den ausgewählten Zeitraum</h2>
  % if s.has_role(request.user, "organisation"):
    <p>Das Ergebnis basiert auf Ihren Teilnehmenden (inklusive Vertretungen).
  % else:
    <p>Das Ergebnis basiert auf den Teilnehmenden aller ${_('Organisations')}.
  % endif
  <div class="row">
    <div class="col-md-12">
      <h3>Gesamtzahlen</h3>
      <p>Als <i>Neueintritte</i> werden alle Teilnehmenden gezählt, deren
        erster Eintritt im gesamten Vorhaben innerhalb des ausgewählten Zeitraums liegt und deren
        Pflichtfelder <u>vollständig</u>
	% if not program == "waskiq":
	und <u>valide</u>
	% endif
	ausgefüllt sind.</p>
      <p>Als <i>Austritte</i> werden alle Teilnehmenden gezählt, deren
        Austritt innerhalb des ausgewählten Zeitraums liegt und deren
        Pflichtfelder <u>vollständig</u>
	% if not program == "waskiq":
	und <u>valide</u>
	% endif
	ausgefüllt sind.</p>
    % if not program == "waskiq":
    <%
    start_date = out['start_date'].strftime("%d.%m.%Y")
    end_date = out['end_date'].strftime("%d.%m.%Y")
    %>
    <a href="${request.route_url('report_print_sachbericht', _query={'start_date': start_date, 'end_date': end_date})}" class="btn btn-primary nospinner">Ergebnis drucken</a>
    % endif
      <table class="table table-hover table-striped datatable-blank">
          <thead>
              <tr>
                  <th>Kriterium</th>
                  <th style="width: 30px">weiblich</th>
                  <th style="width: 30px">männlich</th>
                  <th style="width: 30px">gesamt</th>
              </tr>
          </thead>
          <tbody>
              <!--
              <tr>
                <td>Laufende Teilnehmenden</td><td>???</td>
              </tr>
              -->
              <tr>
                <td>Neueintritte</td>
                <td>${out['entries'][1]}</td>
                <td>${out['entries'][0]}</td>
                <td>${out['entries'][0] + out['entries'][1]}</td>
              </tr>
              <tr>
                <td>Austritte</td>
                <td>${out['exits'][1]}</td>
                <td>${out['exits'][0]}</td>
                <td>${out['exits'][0] + out['exits'][1]}</td>
              </tr>
          </tbody>
      </table>
    </div>
  </div>
  <div class="row">
    ## dont show this part if no OI indicators.
    % if indicators['OI']:
    <div class="col-md-6">
      <h3>Status bei Eintritt</h3>
      <table class="table table-hover table-striped datatable-blank">
          <thead>
              <tr>
                  <th>Kriterium</th>
                  <th style="width: 30px;">weiblich</th>
                  <th style="width: 30px;">männlich</th>
                  <th style="width: 30px;">gesamt</th>
              </tr>
          </thead>
          <tbody>
            % for key, label in indicators['OI']:
                 ${self.indicator(label, key)}
            % endfor
          </tbody>
      </table>
      <p class="text-muted"><i class="glyphicon glyphicon-info-sign"></i> Der Status bei Eintritt Ihrer Teilnehmenden wird in
        dieser Version noch nicht ausgewertet.</p>
    </div>
    <div class="col-md-6">
    % else:
    <div class="col-md-12">
    % endif
      <h3>Status bei Austritt</h3>
      <table class="table table-hover table-striped datatable-blank">
          <thead>
              <tr>
                <th>Kriterium</th>
                  <th style="width: 30px;">weiblich</th>
                  <th style="width: 30px;">männlich</th>
                  <th style="width: 30px;">gesamt</th>
                  <th style="width: 60px;">in %</th>
              </tr>
          </thead>
          <tbody>
            % for key, label in indicators['RI']:
                 ${self.ri_indicator(label, key)}
            % endfor
          </tbody>
      </table>
    </div>
  </div>
</div>
% endif
